## GwySelectionEllipse

GwySelectionEllipse — Ellipse selection

## Functions

GwySelection * | gwy_selection_ellipse_new ()

## Types and Values

struct | GwySelectionEllipse
struct | GwySelectionEllipseClass

## Object Hierarchy

        GObject
        ╰── GwySelection
            ╰── GwySelectionEllipse

## Implemented Interfaces

GwySelectionEllipse implements GwySerializable.

## Includes

    #include <libgwyddion/gwyddion.h>

## Description

GwySelectionEllipse represents ellipses. Selection data consist of quadruples of coordinates (x₀, y₀, x₁, y₁), where 0 and 1 denote two opposite corners of the ellipse bounding box rectangle. It may any pair corners, as long as the two are opposite.

## Functions

### gwy_selection_ellipse_new()

    GwySelection *
    gwy_selection_ellipse_new (void);

Creates a new ellipse selection.

#### Returns

A new selection object.

## Types and Values

### struct GwySelectionEllipse

    struct GwySelectionEllipse;

### struct GwySelectionEllipseClass

    struct GwySelectionEllipseClass {
        GwySelectionClass parent_class;
    };